import request from '../utils/request.js'


export function userList(param) {
    return request.get('/user/list', {
        params: param
    });
}
export function baseList(param) {
    return request.get('/field/baseList', {
        params: param
    });
}
export function getFieldById(fieldId){
    return request.get('/model/getFieldById?fieldId=' +  fieldId);
}
export function fieldList(param) {
    return request.get('/model/fieldCombineList', {
        params: param
    });
}
export function parseList(param) {
    return request.get('/parse/list', {
        params: param
    });
}
//自动解析状态
export function autoList(param) {
    return request.get('/parse/autoList', {
        params: param
    });
}
export function creditApprovalList(param) {
    return request.get('/parse/creditApprovalList', {
        params: param
    });
}
export function creditReportList() {
    return request.get('/parse/creditReportList');
}

export function partnerList(param) {
    return request.get('/partner/list', {
        params: param
    });
}
export function partnerAdd(param) {
    return request.post('/partner/partnerAdd', param);
}

export function cooperatorList() {
    return request.get('/cooperator/cooperatorList');
}

export function findCooperatorListByName(name) {
    return request.get('/cooperator/findCooperatorListByName?name=' + name);
}

export function findCooperatorFieldByNum(cooperatorNum){
    return request({
        url: '/cooperator/findCooperatorFieldByNum/'+ cooperatorNum ,
        method: 'get',
      })  
}

export function findCooperatorProductByNum(cooperatorNum){
    return request({
        url: '/cooperator/findCooperatorProductByNum/'+ cooperatorNum ,
        method: 'get',
      })  
}

export function fieldTemplateList() {
    return request.get('/fieldtemplate/fieldTemplateList');
}

export function cooperatorProductList(){
    return request.get('/cooperator_product/cooperatorProductList');
}
export function findCooperatorProductFieldByNum(productNum){
    return request({
        url: '/cooperator_product/findCooperatorProductFieldByNum/'+ productNum,
        method: 'get',
      })
}
export function updateProductFieldNo(productNum,fieldNo){
    return request({
        url: '/cooperator_product/updateProductFieldNo/'+ productNum +'/'+ fieldNo,
        method: 'get',
      })  
}
export function findCooperatorFieldsByName(cooperatorName){
    return request({
        url: '/cooperator_product/findCooperatorFieldsByName/'+ cooperatorName ,
        method: 'get',
    })
}


export function modelDefineList(){
    return request.get('/model_define/modelDefineList');
}

export function cooperatorProductApply(cooperator_no, cooperator_name,  product_num, product_name, model_id) {
    return request.post('/cooperator_product/apply', {
        cooperator_no : cooperator_no, 
        cooperator_name : cooperator_name, 
        product_num : product_num,
        product_name : product_name,
        model_id : model_id
    });
}

export function roleList(name) {
    return request.get('/role/list?name=' + name);
}
export function sysUserInfo(userId) {
    return request.get('/user/info?userId=' + userId);
}

export function userDel(userId) {
    return request.get('/user/del?userId=' + userId);
}

export function userAdd(param) {
    return request.post('/user/add', param);
}

export function userEdit(param) {
    return request.post('/user/edit', param);
}

export function rights() {
    return request.get('/role/rights');
}



export function roleInfo(roleId) {
    return request.get('/role/info?roleId=' + roleId);
}

export function roleDel(roleId) {
    return request.get('/role/del?roleId=' + roleId);
}

export function roleAdd(param) {
    return request.post('/role/add', param);
}

export function roleEdit(param) {
    return request.post('/role/edit', param);
}

export function userInfo() {
    return request.get('/userInfo');
}


export function fieldInfo(){
    return request.get('/model/getField');
}

export function modelInfo(){
    return request.get('/model/getUserModel');
}

export function modelSubmit(model_data){
    return request.post('/model/addModel',{
        modeldata:model_data
    })
}
export function approvalInfo(){
    return request.get('/model/getApproval');
}
export function listUser()
{
    return request.get('/model/listUser');
}

export function getFiledByName(username)
{
    return request.post('/model/getFieldByName',{
        username:username
    })
}

export function cooperatorAdd(cooperator_name, corp_certificate_num, corp_certificate_type, field_template_no) {
    return request.post('/cooperator/add', {
        cooperator_name : cooperator_name, 
        corp_certificate_num : corp_certificate_num, 
        corp_certificate_type : corp_certificate_type, 
        field_template_no : field_template_no
    });
}

export function cooperatorEdit(cooperator_id, cooperator_name, corp_certificate_num, corp_certificate_type) {
    return request.post('/cooperator/edit', {
        cooperator_id : cooperator_id, 
        cooperator_name : cooperator_name, 
        corp_certificate_num : corp_certificate_num, 
        corp_certificate_type : corp_certificate_type, 
    });
}

export function login(username, password) {
    return request.post('/login', {
        username: username,
        password: password
    })
}


export function randomId() {
    let str = "";
    for (let i = 0; i < 4; i++) {
      str += Math.random()
        .toString()
        .replace(/\./, "");
    }
    str = "uid" + str;
    // 取前32位随机字符，不足补0
    return str.length >= 32
      ? str.substr(0, 32)
      : str + repeat("0", 32 - str.length);
  }