import VueRouter from 'vue-router'
import Vue from 'vue'

Vue.use(VueRouter)
import store from "@/store";
import {userInfo} from "@/api";

var routes = [{
    path: '',
    redirect: '/index'
},
    {
        path: '/login',
        name: '登录',
        component: () => import('../views/login.vue')
    },
    {
        path: '/index',
        component: () => import('@/views/index.vue'),
        redirect: '',
        meta: {
            keepAlive: true,
            show: true
        },
        children: [
            {
                path: '',
                name: '欢迎',
                component: () => import('@/views/welcome.vue'),
            },
            {
                path: '/user',
                name: '用户管理',
                component: () => import('../views/user/SysUserList.vue'),
                meta: {
                    keepAlive: false,
                    show: true
                }
            },
            {
                path: '/role',
                name: '角色管理',
                component: () => import('../views/role/index.vue'),
                meta: {
                    keepAlive: false,
                    show: true
                }
            },
            {
                path: '/fieldModel',
                name: '字段组合',
                component: () => import('../views/system/fieldModel.vue'),
                meta: {
                    keepAlive: false,
                    show: true
                }
            },
            {
                path: '/bssp',
                name: '部署审批',
                component: () => import('../views/system/userinfo.vue'),
                meta: {
                    keepAlive: false,
                    show: true
                }
            },
            {
                path: '/fieldBase',
                name: '基础字段',
                component: () => import('../views/system/fieldBase.vue'),
                meta: {
                    keepAlive: false,
                    show: true
                }
            },
            {
                path: '/fieldCream',
                name: '精华字段',
                component: () => import('../views/system/fieldCream.vue'),
                meta: {
                    keepAlive: false,
                    show: true
                }
            },
            {
                path: '/fieldDerive',
                name: '衍生字段',
                component: () => import('../views/system/fieldDerive.vue'),
                meta: {
                    keepAlive: false,
                    show: true
                }
            },

            {
                path: '/reportParse',
                name: '报告解析',
                component: () => import('../views/system/reportParse.vue'),
                meta: {
                    keepAlive: false,
                    show: true
                }
            },
            {
                path: '/creditUpload',
                name: '单笔/批量导入',
                component: () => import('../views/system/creditUpload.vue'),
                meta: {
                    keepAlive: false,
                    show: true
                }
            },
            {
                path: '/paramConfig',
                name: '变量管理',
                component: () => import('../views/system/paramConfig.vue'),
                meta: {
                    keepAlive: false,
                    show: true
                }
            },
            {
                path: '/paramReview',
                name: '参数复核',
                component: () => import('../views/system/paramReview.vue'),
                meta: {
                    keepAlive: false,
                    show: true
                }
            },
            {
                path: '/modelCustomize',
                name: '自定义模型',
                component: () => import('../views/system/modelCustomize.vue'),
                meta: {
                    keepAlive: false,
                    show: true
                }
            },
            {
                path: '/modelControl',
                name: '模型管理',
                component: () => import('../views/system/modelControl.vue'),
                meta: {
                    keepAlive: false,
                    show: true
                }
            },
            {
                path: '/modelReview',
                name: '模型复核',
                component: () => import('../views/system/modelReview.vue'),
                meta: {
                    keepAlive: false,
                    show: true
                }
            },
            {
                path: '/modelDeploy',
                name: '模型部署',
                component: () => import('../views/system/modelDeploy.vue'),
                meta: {
                    keepAlive: false,
                    show: true
                }
            },
            {
                path: '/modelEnable',
                name: '模型启用',
                component: () => import('../views/system/modelEnable.vue'),
                meta: {
                    keepAlive: false,
                    show: true
                }
            },
            {
                path: '/userinfo',
                name: '已定义模型',
                component: () => import('../views/system/userinfo.vue'),
                meta: {
                    keepAlive: false,
                    show: true
                }
            },
            {
                path: '/manager',
                name: '用户详情',
                component: () => import('../views/system/manager.vue'),
                meta: {
                    keepAlive: false,
                    show: true
                }
            },
            {
                path: '/otherModel',
                name: '其他模型',
                component: () => import('../views/system/otherModel.vue'),
                meta: {
                    keepAlive: false,
                    show: true
                }
            },
            {
                path: '/queryReport',
                name: '查询报表',
                component: () => import('../views/system/queryReport.vue'),
                meta: {
                    keepAlive: false,
                    show: true
                }
            },
            {
                path: '/parseResult',
                name: '解析结果',
                component: () => import('../views/system/parseResult.vue'),
                meta: {
                    keepAlive: false,
                    show: true
                }
            },
            {
                path: '/parseAuto',
                name: '自动解析',
                component: () => import('../views/system/parseAuto.vue'),
                meta: {
                    keepAlive: false,
                    show: true
                }
            },
            {
                path: '/partnerManage',
                name: '合作方管理',
                component: () => import('../views/system/partnerManage.vue'),
                meta: {
                    keepAlive: false,
                    show: true
                }
            },
            {
                path: '/cooperatorInfo',
                name: '合作方信息',
                component: () => import('../views/system/cooperatorInfo.vue'),
                meta: {
                    keepAlive: false,
                    show: true
                }
            },
            {
                path: '/cooperatorDetailed',
                name: '合作方明细',
                component: () => import('../views/system/cooperatorDetailed.vue'),
                meta: {
                    keepAlive: false,
                    show: true
                }
            },
            {
                path: '/cooperatorAdd',
                name: '合作方新增',
                component: () => import('../views/system/cooperatorAdd.vue'),
                meta: {
                    keepAlive: false,
                    show: true
                }
            },
            {
                path: '/cooperatorEdit',
                name: '合作方编辑',
                component: () => import('../views/system/cooperatorEdit.vue'),
                meta: {
                    keepAlive: false,
                    show: true
                }
            },
            {
                path: '/cooperatorProductInfo',
                name: '合作方产品信息',
                component: () => import('../views/system/cooperatorProductInfo.vue'),
                meta: {
                    keepAlive: false,
                    show: true
                }
            },
            {
                path: '/cooperatorProductInfoBase',
                name: '合作方产品基础信息',
                component: () => import('../views/system/cooperatorProductInfoBase.vue'),
                meta: {
                    keepAlive: false,
                    show: true
                }
            },
            {
                path: '/cooperatorProductApply',
                name: '合作方产品申请',
                component: () => import('../views/system/cooperatorProductApply.vue'),
                meta: {
                    keepAlive: false,
                    show: true
                }
            },
            {
                path: '/cooperatorProductFieldInfo',
                name: '合作方产品字段信息',
                component: () => import('../views/system/cooperatorProductFieldInfo.vue'),
                meta: {
                    keepAlive: false,
                    show: true
                }
            },
            {
                path: '/cooperatorProductFieldModify',
                name: '合作方产品字段信息修改',
                component: () => import('../views/system/cooperatorProductFieldModify.vue'),
                meta: {
                    keepAlive: false,
                    show: true
                }
            },
            
        ]
    },
    {
        path: '/404',
        name: '404',
        component: () => import('../views/404.vue')
    }

]

const router = new VueRouter({
    mode: 'history',
    routes // (缩写) 相当于 routes: routes
})




export default router
